/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PartyRole;

import java.util.Vector;
import CustomerAccountMgmt.CustomerAccountApp.CustomerAccApplication;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class CustomerAccountApplicant extends RelMgmt.Party.PartyRole {
    public void evaluateStrengthOfApplications() {
    }

    /**  */
    public int rate() {
        return 0;
    }

    public Vector listApplications() {
        return new Vector();
    }

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private CustomerAccApplication lnkUnnamed;
    private int number;
    private String creditRating;
}


